<template>
  <div class="animation_dialog">
    <el-dialog
      :before-close="toggleAgentCooperation"
      destroy-on-close
      width="100%"
      custom-class="animation-dialog agent-cooperation-dialog"
      v-model="showAgentCooperation"
    >
      <div
        class="grid grid-cols-3 place-content-center p-4 bg-background3 font-bold text-white w-full fixed z-10 agent-cooperation-dialog-header"
      >
        <div></div>
        <div
          class="text-sm font-bold text-center title agent-cooperation-text-color truncate"
        >
          {{ $t("agent_cooperation") }}
        </div>
        <div class="mr-2 text-right" @click="toggleAgentCooperation">
          <font-awesome-icon icon="x" />
        </div>
      </div>
      <div class="h-[53px] w-full"></div>
      <div class="py-2 px-2 bg-1 min-h-screen register-dialog-container">
        <el-form
          label-position="top"
          ref="ruleFormRef"
          :rules="agentRules"
          :model="formAgentCooperation"
        >
          <el-form-item :label="$t('username')" prop="Username">
            <el-input v-model="formAgentCooperation.Username" />
          </el-form-item>
          <el-form-item :label="$t('password')" prop="Password">
            <el-input type="password" v-model="formAgentCooperation.Password" />
          </el-form-item>
          <el-form-item
            :label="$t('confirm_password')"
            prop="PasswordConfirmation"
          >
            <el-input
              type="password"
              v-model="formAgentCooperation.PasswordConfirmation"
            />
          </el-form-item>
          <el-form-item :label="$t('first_name')" prop="FirstName">
            <el-input v-model="formAgentCooperation.FirstName" />
          </el-form-item>
          <el-form-item :label="$t('last_name')" prop="LastName">
            <el-input v-model="formAgentCooperation.LastName" />
          </el-form-item>
          <el-form-item :label="$t('email')" prop="Email">
            <el-input type="email" v-model="formAgentCooperation.Email" />
          </el-form-item>
          <el-form-item :label="$t('phone')" prop="Phone">
            <el-input v-model="formAgentCooperation.Phone" :formatter="(value: string) => value" :parser="(value: string) => value.replace(/\D+/g, '')"/>
          </el-form-item>
          <el-form-item :label="$t('mobile')" prop="Mobile">
            <el-input v-model="formAgentCooperation.Mobile" :formatter="(value: string) => value" :parser="(value: string) => value.replace(/\D+/g, '')"/>
          </el-form-item>
          <el-form-item :label="$t('currency')" prop="Currency">
            <el-select
              v-model="formAgentCooperation.Currency"
              class="w-full custom-el-select"
              :placeholder="$t('select_currency')"
            >
              <el-option :value="''">{{ $t("select_currency") }}</el-option>
              <el-option
                v-for="currency in whiteListCurrencies"
                :key="currency"
                :value="currency.Currency"
              />
            </el-select>
          </el-form-item>
          <el-form-item :label="$t('instance_message')" prop="SocialType">
            <el-select
              v-model="formAgentCooperation.SocialType"
              class="w-full custom-el-select"
              :placeholder="$t('select_instance_message')"
            >
              <el-option :value="''">{{
                $t("select_instance_message")
              }}</el-option>
              <el-option
                v-for="(instance, index) in instanceMessages"
                :key="index"
                :value="instance"
              />
            </el-select>
          </el-form-item>
          <el-form-item
            prop="SocialUsername"
            class="AgentCooperation__has-lone-child"
          >
            <p></p>
            <el-input
              type="text"
              v-model="formAgentCooperation.SocialUsername"
            />
          </el-form-item>
          <template class="flex justify-center">
            <div class="mt-5">
              <el-button
                type="primary"
                @click="submitForm(ruleFormRef)"
                round
                >{{ $t("submit") }}</el-button
              >
            </div>
          </template>
        </el-form>
      </div>
    </el-dialog>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  setup() {
    const { ...props } = useAgentCooperation();
    return {
      ...props,
    };
  },
});
</script>

<style lang="scss">
.agent-cooperation-dialog {
  .el-dialog__header {
    display: none;
  }
}
</style>

<style scoped>
:deep(.el-dialog__headerbtn .el-dialog__close) {
  color: var(--text5);
}
:deep(.el-dialog__headerbtn) {
  top: 2px;
}
:deep(.el-dialog__header) {
  background: var(--background3);
  border-bottom: 1px solid var(--background4);
  margin-right: 0px;
  padding: 16px;
}
.selected {
  color: var(--hint) !important;
}
:deep(.el-input__inner) {
  background-color: var(--background1);
  height: 48px !important;
  border-radius: 8px;
}
.bg-1 {
  background-color: var(--background2);
}
.el-button.el-button--primary {
  --el-button-text-color: var(--textBtn);
  --el-button-bg-color: rgb(49, 196, 110);
  --el-button-border-color: rgb(49, 196, 110);
  --el-button-hover-text-color: var(--textBtn);
  --el-button-hover-bg-color: rgb(107, 82, 203);
  --el-button-hover-border-color: rgb(107, 82, 203);
}
.el-input {
  --el-input-focus-border-color: rgb(49, 196, 110);
}
.text-primary {
  color: var(--primary);
}
:deep(button.el-button) {
  width: 142px;
  height: 40px;
  background-color: var(--primary);
  border: none;
}
:deep(.el-button span) {
  @apply text-sm font-bold leading-4;
}
.selected .currency-check-icon {
  display: block;
}
.currency-check-icon {
  display: none;
}
.selected .bank-check-icon {
  display: block;
}
:deep(.el-input__suffix) {
  @apply flex items-center;
}
</style>
